/* ========================================
 *  PurestConsole3Buss - PurestConsole3Buss.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __PurestConsole3Buss_PurestConsole3Buss_H
#define __PurestConsole3Buss_PurestConsole3Buss_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::PurestConsole3Buss {
enum {
  kNumParameters = 0
}; //


class PurestConsole3Buss final : public SfxCoreExtensionV1
{
public:
    PurestConsole3Buss();
    ~PurestConsole3Buss();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
